Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataMIME

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataMIME

All Implemented Interfaces:
  IDataMIME

public class DataMIME
extends java.lang.Object
implements IDataMIME

DataMIME
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataMIME()`

Method Summary
`void` | `createMIME(org.esupportail.portal.utils.database.Query query, Mime mime)` Création d'un type MIME
`java.util.Collection` | `getMIMEs(org.esupportail.portal.utils.database.Query query)` Récupération des types MIME valides
`boolean` | `isValidMIME(org.esupportail.portal.utils.database.Query query, java.lang.String extension)` Vérifie la validité d'un type MIME
`void` | `removeMIME(org.esupportail.portal.utils.database.Query query, java.lang.String extension)` Suppression d'un type MIME

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataMIME

    public DataMIME()

Method Detail

### getMIMEs

    public java.util.Collection getMIMEs(org.esupportail.portal.utils.database.Query query)
                                  throws DataException

  Récupération des types MIME valides

  Specified by:
    `getMIMEs` in interface `IDataMIME`
  Parameters:
    `query` - La connexion à utiliser
  Returns:
    La liste des types MIME
  Throws:
    `DataException`

### createMIME

    public void createMIME(org.esupportail.portal.utils.database.Query query,
                           Mime mime)
                    throws DataException

  Création d'un type MIME

  Specified by:
    `createMIME` in interface `IDataMIME`
  Parameters:
    `query` - La connexion à utiliser
    `mime` - Le type MIME à créer
  Throws:
    `DataException`

### removeMIME

    public void removeMIME(org.esupportail.portal.utils.database.Query query,
                           java.lang.String extension)
                    throws DataException

  Suppression d'un type MIME

  Specified by:
    `removeMIME` in interface `IDataMIME`
  Parameters:
    `query` - La connexion à utiliser
    `extension` - L'extension associée au type MIME
  Throws:
    `DataException`

### isValidMIME

    public boolean isValidMIME(org.esupportail.portal.utils.database.Query query,
                               java.lang.String extension)
                        throws DataException

  Vérifie la validité d'un type MIME

  Specified by:
    `isValidMIME` in interface `IDataMIME`
  Parameters:
    `query` - La connexion à utiliser
    `extension` - L'extension à tester
  Returns:
    boolean True si le type est valide, false sinon
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD